---
title: "列出 Ultra Speed 账号"
canonical_url: "https://tweetstream.io/zh-cn/docs/api/list-ultra-accounts"
last_updated: 2026-11-05
---

# 列出 Ultra Speed 账号

列出选中使用 Ultra Speed 的账号和套餐的账号额度。

Canonical URL: https://tweetstream.io/zh-cn/docs/api/list-ultra-accounts

## `GET /api/ultra/accounts`

`https://api.tweetstream.io/api/ultra/accounts`

## 授权

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `Authorization` | `string`, 必填 | 使用 TweetStream API 密钥进行 Bearer 认证：`Bearer <key>`。 |

## 响应字段

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `accountLimit` | `integer`, 必填 | an integer |
| `accounts` | `object[]`, 必填 |  |
| `accounts.handle` | `string`, 必填 | a string matching the pattern ^@?[A-Za-z0-9_]{1,15}$ |
| `accounts.id` | `string`, 必填 | a string matching the pattern ^[1-9][0-9]{0,19}$ |
| `subscriptionId` | `string`, 必填 |  |

## 响应

| 状态 | 说明 | 请求头 |
| --- | --- | --- |
| `200` | 成功 |  |
| `401` | API key 缺失或无效，或 setup proof 缺失或已过期 |  |
| `404` | 结账或链接不存在，或账号没有该产品的使用权 |  |
| `429` | 已达到速率限制或开通额度，请在 retryAfterSeconds 秒后重试 |  |
| `503` | 暂时不可用，请稍后重试 |  |

### 200

```json
{
  "accountLimit": 5,
  "accounts": [
    {
      "handle": "marketdesk",
      "id": "1189745302"
    }
  ],
  "subscriptionId": "sub_1QExampleUltra"
}
```

### 401

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

### 404

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

### 429

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

### 503

```json
{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "<string>",
    "reason": "not_offered",
    "retryAfterSeconds": 123
  },
  "next": {
    "message": "<string>",
    "action": "call_action",
    "method": "POST",
    "name": "<string>",
    "url": "<string>",
    "who": "agent"
  }
}
```

## 代码示例

### cURL

```bash
curl --request GET \
  --url https://api.tweetstream.io/api/ultra/accounts \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY"
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/ultra/accounts", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
  },
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.get(
    "https://api.tweetstream.io/api/ultra/accounts",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
)

print(response.status_code, response.json())
```
